Bug 1258180 - [abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.50 was not provided by any .service files
[abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedeskto...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2808ba61ce7de0310c94dc29e5b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-29 19:29 EDT by Тарасов Андрей
Modified: 2015-12-02 13:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.26 KB, text/plain)
2015-08-29 19:29 EDT, Тарасов Андрей
no flags Details
File: environ (1.56 KB, text/plain)
2015-08-29 19:29 EDT, Тарасов Андрей
no flags Details

  None (edit)
Description Тарасов Андрей 2015-08-29 19:29:49 EDT
Version-Release number of selected component:
blueman-2.0-11.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc21.x86_64
executable:     /usr/bin/blueman-applet
kernel:         4.1.5-100.fc21.x86_64+debug
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.50 was not provided by any .service files

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 121, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 63, in __init__
    self.Plugins.Load()
  File "/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py", line 90, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/AuthAgent.py", line 9, in <module>
    import blueman.main.applet.BluezAgent as BluezAgent
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/BluezAgent.py", line 20, in <module>
    from blueman.bluez.Agent import Agent, AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 48, in <module>
    class Agent(dbus.service.Object):
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 56, in Agent
    @AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
    if BlueZInterface.get_interface_version()[0] < 5:
  File "/usr/lib/python2.7/site-packages/blueman/bluez/BlueZInterface.py", line 17, in get_interface_version
    introspection = dbus.Interface(obj, 'org.freedesktop.DBus.Introspectable').Introspect()
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.50 was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7fa2486d5d70>
args: ()
object_path: u'/'
signature: None
bus_name: dbus.UTF8String(':1.50')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: u'org.freedesktop.DBus.Introspectable'
message: <dbus.lowlevel.MethodCallMessage path: /, iface: org.freedesktop.DBus.Introspectable, member: Introspect dest: :1.50>
method: 'Introspect'
Comment 1 Тарасов Андрей 2015-08-29 19:29:53 EDT
Created attachment 1068379 [details]
File: backtrace
Comment 2 Тарасов Андрей 2015-08-29 19:29:54 EDT
Created attachment 1068380 [details]
File: environ
Comment 3 Fedora End Of Life 2015-11-04 05:26:06 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:10:12 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.